dnl This is a file with -*- m4 -*- macros  and belongs to the
dnl `Jumble Library for Tcl and Friends'.

dnl aclocal.m4 --- package-specific Autoconf macros

dnl Copyright (C) 1997, 1998 Stefan Hornburg

dnl Author: Stefan Hornburg <racke@gundel.han.de>
dnl Maintainer: Stefan Hornburg <racke@gundel.han.de>
dnl Version: 0.0.9

dnl This file is free software; you can redistribute it and/or modify it
dnl under the terms of the GNU General Public License as published by the
dnl Free Software Foundation; either version 2, or (at your option) any
dnl later version.

dnl This file is distributed in the hope that it will be
dnl useful, but WITHOUT ANY WARRANTY; without even the implied warranty
dnl of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
dnl General Public License for more details.

dnl You should have received a copy of the GNU General Public License
dnl along with this file; see the file COPYING.  If not, write to the Free
dnl Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

dnl Checks for `tclsh' and set output variable
dnl `TCLSH' to the path of the Tcl interpreter.
AC_DEFUN(AC_PROG_TCLSH, [AC_PATH_PROG(TCLSH,tclsh)])

dnl Checks for `itclsh' and set output variable
dnl `ITCLSH' to the path of the [incr Tcl] interpreter.
AC_DEFUN(AC_PROG_ITCLSH, [AC_PATH_PROG(ITCLSH,itclsh)])

dnl Checks for `tclConfig.sh' and set first argument
dnl to the path to this file.
AC_DEFUN(AC_TCL_CONFIGSH_CACHELESS,
[cat > conftest.tcl <<\EOF
changequote(<<, >>)dnl
if [info exists tcl_pkgPath] {
puts stdout [lindex $tcl_pkgPath 0]
} else {
puts stdout [lindex $auto_path 0]
}
changequote([, ])dnl
EOF
juf_tmp=`$TCLSH conftest.tcl`
rm conftest.tcl
if test ! -f "$juf_tmp/tclConfig.sh" 
then
AC_MSG_ERROR(tclConfig.sh not found in $juf_tmp)
fi
$1=$juf_tmp/tclConfig.sh
])

dnl Checks for `tclConfig.sh' and set first argument to the path to this file.
dnl Sets cache variable `juf_cv_tcl_configsh'.
AC_DEFUN(AC_TCL_CONFIGSH, 
[AC_CACHE_CHECK(for tclConfig.sh, juf_cv_tcl_configsh,
[AC_TCL_CONFIGSH_CACHELESS(juf_cv_tcl_configsh)])
$1=$juf_cv_tcl_configsh])

dnl Checks for `itclConfig.sh' and set first argument
dnl to the path to this file.
AC_DEFUN(AC_ITCL_CONFIGSH_CACHELESS,
[cat > conftest.tcl <<\EOF
changequote(<<, >>)dnl
if [info exists tcl_pkgPath] {
puts stdout [lindex $tcl_pkgPath 0]
} else {
puts stdout [lindex $auto_path 0]
}
changequote([, ])dnl
EOF
juf_tmp=`$ITCLSH conftest.tcl`
rm conftest.tcl
if test ! -f "$juf_tmp/itclConfig.sh" 
then
AC_MSG_ERROR(itclConfig.sh not found in $juf_tmp)
fi
$1=$juf_tmp/itclConfig.sh
])

dnl Checks for `itclConfig.sh' and set first argument to the path to this file.
dnl Sets cache variable `juf_cv_itcl_configsh'.
AC_DEFUN(AC_ITCL_CONFIGSH, 
[AC_REQUIRE([AC_PROG_ITCLSH])
AC_CACHE_CHECK(for itclConfig.sh, juf_cv_itcl_configsh,
[AC_ITCL_CONFIGSH_CACHELESS(juf_cv_itcl_configsh)])
$1=$juf_cv_itcl_configsh])
