#! @TCLSH@
#
# jufspec.tcl -- generates RPM spec file
#
# Copyright (C) 1998 Stefan Hornburg
#
# Author: Stefan Hornburg <racke@gundel.han.de>
# Maintainer: Stefan Hornburg <racke@gundel.han.de>
#
# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
#
# This file is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this file; see the file COPYING.  If not, write to the Free
# Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

set jufspec_version 0.0.6
set auto_path [concat @jultafdir@ $auto_path]
package require Error

# Source all files from command line
foreach file $argv {
	source $file
}

# Variables we use later on:
# name (optional, use `spec' as default): package name (e.g. InfoPrism)
# spec (required): short package name (e.g. infism)

# Check for required variables
foreach var {spec descr} {
	if ![info exists $var] {
		Juf::Error::error $var "required variable not defined"
	}
}

# Set defaults
if ![info exists name] {set name $spec}

puts "# RPM spec file for $name"
puts "#"
puts "# Automatically generated with jufspec v$jufspec_version"
puts "# [clock format [clock seconds]]"
puts "#"
puts "# This file is free software; you can redistribute it and/or modify it"
puts "# under the terms of the GNU General Public License as published by the"
puts "# Free Software Foundation; either version 2, or (at your option) any"
puts "# later version."
puts ""
puts "Summary: $descr"