#! @TCLSH@
#
# juftpl.tcl -- script for template processing
#
# Copyright (C) 1998 Stefan Hornburg
#
# Author: Stefan Hornburg <racke@gundel.han.de>
# Maintainer: Stefan Hornburg <racke@gundel.han.de>
# Version: 0.0.9
#
# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
#
# This file is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this file; see the file COPYING.  If not, write to the Free
# Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

set auto_path [concat @jultafdir@ $auto_path]
package require Sequence 
package require File
package require Template 0.0.9

if ![llength $argv] {
	# no commandline arguments => read from standard input
	set argv -
}

while {[llength $argv]} {
	# process input files
	set name [Juf::Sequence::shift argv]
	if {[string compare $name -] == 0} {
		# dash instructs us to read from standard input
		set fd stdin
	} else {
		set fd [Juf::File::trustopen $name]
	}
	Juf::Template::filter $fd stdout
	close $fd
}