#! @TCLSH@
#
# rpmfiles.tcl -- prints list of files of RPM package(s)
#
# Copyright (C) 1998 Stefan Hornburg
#
# Author: Stefan Hornburg <racke@gundel.han.de>
# Maintainer: Stefan Hornburg <racke@gundel.han.de>
#
# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
#
# This file is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this file; see the file COPYING.  If not, write to the Free
# Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

set auto_path [concat @jultafdir@ $auto_path]
package require Error 0.0.6
package require RPM 0.0.7

if [llength $argv] {
	foreach pkg $argv {
		if [catch "Juf::RPM::query {$pkg} files" result] {
			Juf::Error::error $pkg $result
		} else {
			foreach file $result {
				puts $file
			}
		}
	}
} else {
	Juf::Error::error "no RPM packages given"
}
Juf::Error::finish

