#! @TCLSH@
#
# rpminfo.tcl -- prints informations about RPM package(s)
#
# Copyright (C) 1998 Stefan Hornburg
#
# Author: Stefan Hornburg <racke@gundel.han.de>
# Maintainer: Stefan Hornburg <racke@gundel.han.de>
#
# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
#
# This file is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this file; see the file COPYING.  If not, write to the Free
# Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

set auto_path [concat @jultafdir@ $auto_path]
package require Error 0.0.6
package require RPM 0.0.9
package require Template 0.0.9

# Template
set template {Name:    %{name}
Version: %{version}

%{description}
}

if [llength $argv] {
	# Loop over packages
	foreach pkg $argv {
		if [catch "Juf::RPM::query {$pkg}" result] {
			Juf::Error::error $pkg $result
		} else {
			array set infos $result
			puts -nonewline [Juf::Template::run $template infos "%\{" "\}"]
		}
	}
} else {
	Juf::Error::error "no RPM packages given"
}
Juf::Error::finish

