/*
-------------------------------------------------------  
jufgdbm.h - Global include file for Jultaf's GDBM stuff
-------------------------------------------------------

Copyright (C) 1997, 1998 Stefan Hornburg

Author: Stefan Hornburg <racke@gundel.han.de>
Maintainer: Stefan Hornburg <racke@gundel.han.de>
Version: 0.0.9

This file is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.

This file is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this file; see the file COPYING.  If not, write to the Free
Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _JUFGDBM_H
#define _JUFGDBM_H

#include "juf.h"

/* convenience macros */
/* ------------------ */

#define JUF_TCLCD client
#define JUF_TCLIP interp
#define JUF_TCLARGC argc
#define JUF_TCLARGV argv

#define JUF_TCLEND (char *) NULL
#define JUF_TCLARGX(no) JUF_TCLARGV[no+1]

/* declarations for Tcl commands */
#define JUF_TCLDECL(name) \
int name _ANSI_ARGS_((ClientData JUF_TCLCD, Tcl_Interp *JUF_TCLIP, \
					 int JUF_TCLARGC, char** JUF_TCLARGV))
	 
/* handling calls with wrong number of arguments */
#define JUF_TCLWRARGS(msg) {\
Tcl_AppendResult (JUF_TCLIP, "wrong # args: should be \"", msg, "\"",\
				  JUF_TCLEND);\
return TCL_ERROR;\
}

/* invalid options */
#define JUF_TCLINVOPT(msg) {\
Tcl_AppendResult (JUF_TCLIP, "unknown option \"",\
msg, "\"", JUF_TCLEND);\
return TCL_ERROR;\
}										 
 
/* check arguments */
#define JUF_TCLCKARGS(no,msg) \
if (JUF_TCLARGC != no + 1) JUF_TCLWRARGS(msg)
#define JUF_TCLCKMINARGS(no,msg) \
if (JUF_TCLARGC < no + 1) JUF_TCLWRARGS(msg)

/* handling bad modes */
#define JUF_TCLBADMODE(mode) {\
Tcl_AppendResult (JUF_TCLIP, "illegal access mode \"", mode, "\"",\
				  JUF_TCLEND);\
return (TCL_ERROR);}

/* handling bad handles */
#define JUF_TCLBADHANDLE(sub,name) {\
Tcl_AppendResult (JUF_TCLIP, "can not find ", sub, " named \"", name, "\"",\
				  JUF_TCLEND);\
return TCL_ERROR;\
}

/* handling bad database handles */
#define JUF_TCLBADDBHANDLE(name) JUF_TCLBADHANDLE("database",name)

/* prototypes */
/* ---------- */

JUF_TCLDECL(juf_gdbm);
#endif

