# This is a -*- Tcl -*- script and belongs to the
# `Jumble Library for Tcl and Friends'.
#
# install.tcl --- Tcl installation script for Jultaf
#
# Copyright (C) 1997 Stefan Hornburg
#
# Author: Stefan Hornburg <racke@gundel.han.de>
# Maintainer: Stefan Hornburg <racke@gundel.han.de>
# Version: 0.0.1
#
# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
#
# This file is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this file; see the file COPYING.  If not, write to the Free
# Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

set verbose 0
#
# Check arguments
#
while {[llength $argv]} {
	set arg [lindex $argv 0]
	set argv [lrange $argv 1 end]
	switch -- $arg --verbose {
		set verbose 1
	}
}
#
# Extract directory for library script installation
#
if {[llength $tcl_pkgPath] == 2} {
	set pkgdir [lindex $tcl_pkgPath 1]
} else {
	set pkgdir [lindex $tcl_pkgPath 0]
}
if $verbose {
	puts "Installation directory: $pkgdir"
}
#
# Source file names
#
source install.var
#
# Install library files
#
set installdir [file join $pkgdir $pkgname]
set itclinstalldir [file join $installdir $itcldir]
file mkdir $installdir $itclinstalldir
eval file copy -force -- $libscripts {$installdir}
eval file copy -force -- $itcllibscripts {$itclinstalldir}