# RPM Spec file for Jultaf
#
# Author: Stefan Hornburg <racke.gundel.han.de>
#
# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

Summary: Jumble Library for Tcl and Friends
Name: jultaf
Version: 0.0.9
Release: 1
Requires: tcl >= 8.0, tcl-devel >= 8.0, rpm-devel
Group: Development/Languages/Tcl
Source: http://www.han.de/~racke/jultaf/jultaf-%{version}.tar.gz
URL: http://www.han.de/~racke/jultaf/
Copyright: GPL
BuildRoot: /var/tmp/%{name}

%define info jultaf.info

%description
Jultaf is a collection of Tcl/[incr Tcl] scripts and loadable extensions and
was originally developed as base for InfoPrism (URL:
http://www.linuxia.de/InfoPrism/). It contains

   * generic functions for list, array, string manipulation
   * functions for error handling and code interpreting
   * an extension for profiling Tcl scripts
   * extensions for GDBM, RPM, Postgres and mSQL access
   * a script that generates package index files

Jultaf is labeled as alpha software. Nevertheless many parts are quite
stable and functional. The profiling extension is experimental and the mSQL
extension untested. The `install' command of the RPM extension dumps core.

%prep
%setup

%build
CONFIG_SITE=
CPPFLAGS=-I/usr/lib/pgsql/include ITCLSH=/usr/bin/tclsh ./configure --prefix=/usr --datadir=/usr/lib --with-gdbm --with-pq --with-rpm --with-prof
CPPFLAGS=-I/usr/lib/pgsql/include make

%install
make prefix=$RPM_BUILD_ROOT/usr datadir=$RPM_BUILD_ROOT/usr/lib install

%post
if which install-info > /dev/null; then
    for file in %{info}; do
        install-info /usr/info/$file /usr/info/dir
   	done
fi

%preun
if [ $1 = 0 ]; then
	if which install-info > /dev/null; then
    	for file in %{info}; do
        	install-info --delete /usr/info/$file /usr/info/dir
	    done	
	fi	
fi

%files
%defattr(-,root,root)
%doc html/default.css html/news.html html/jultaf.html 
%doc html/new.gif html/exp.gif sgml/jultaf.sgml
%doc README NEWS CREDITS COPYING ChangeLog
/usr/lib/jultaf0.0.9
/usr/lib/jultaf
/usr/lib/libjufgdbm*.so
/usr/lib/libjufpq*.so
/usr/lib/libjufprof*.so
/usr/lib/libjufrpm*.so
/usr/info/jultaf.info*
%defattr(-,root,bin)
/usr/bin/jufdist
/usr/bin/jufprof

/usr/bin/rpmlist
/usr/bin/rpmfiles
/usr/bin/rpminfo
/usr/bin/rpminstall
