/*
---------------------------------------
juftime.h - Definitions for `juftime.c'
---------------------------------------

Copyright (C) 1997, 1998 Stefan Hornburg

Author: Stefan Hornburg <racke@gundel.han.de>
Maintainer: Stefan Hornburg <racke@gundel.han.de>
Version: 0.0.9

This file is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.

This file is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this file; see the file COPYING.  If not, write to the Free
Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __JUFTIME_H__
#define __JUFTIME_H__

#include <time.h>

typedef struct jufTimeEntry_t 
{
  clock_t real_sum;
  clock_t cpu_sum;
  clock_t real_last;
  clock_t cpu_last;
} jufTimeEntry_t;

jufTimeEntry_t *JufTimerAlloc (void);
void JufTimerStart (jufTimeEntry_t *pTm);
void JufTimerSuspend (jufTimeEntry_t *pTm);
void JufTimerCont (jufTimeEntry_t *pTm);

#endif
