# This is a -*- Tcl -*- script and documents new features of the
# `Jumble Library for Tcl and Friends'.
#
# news.tcl --- SGML script file
#
# Copyright (C) 1997, 1998, 1999 Stefan Hornburg
#
# Author: Stefan Hornburg <racke@linuxia.de>
# Maintainer: Stefan Hornburg <racke@linuxia.de>
# Version: 0.0.9
#
# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
#
# This file is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this file; see the file COPYING.  If not, write to the Free
# Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

manual "NEWS"
author -email racke@linuxia.de "Stefan Hornburg"
stamp "Sun Jan 24 14:23:33 1999 MET"
stylesheet default.css

h2 "Version 0.0.9 (released 24 January 1999)"
ul {
	li "Another round of Makefile and configure fixes. [code configure]
	works now from an arbitrary directory."
	li "The package index file generator
	[code jufdist] features a new option ([code --append] resp. [code -a]),
	robustness fixes and the ability to deal with libraries calling
	[code Tcl_PkgRequire] from their initialization procedure.
	No more broken output in the case that BLT is installed."
	li "Fixed a bug in Juf::RPM::query which occurs when [var TAG] argument is
	omitted."
	li "Add empty strings to the result of [code Juf::String::split]."
	li "New script [code rpminfo]."
	li "[code Juf::RPM::query] supports additional tags [code description]
	and [code obsoletes]"
}

h2 "Version 0.0.8 (released 1 November 1998)"
ul {
	li "Makefile fixed (fails while building pkgIndex.tcl)"
	li "new command [code Juf::Sequence::match]"
}
h2 "Version 0.0.7 (released 22 October 1998)"
ul {
	li "script [code jufdist] catches errors while loading extensions."
	li "don't proceed after errors signaled by sub-makes"
	li "bugfix for empty configuration files applied to
	[code Juf::Conf::parsefile]"
	li "bugfix for [code Juf::Error::fault]: uses vanilla [code error]
	command now"
	li "new command [code Juf::Prof::calls]"
	li "[code Juf::RPM::query] supports additional tag [code files]"
	li "RPM variables tied to namespace [code Juf::RPM]"
	li "new script [code rpmfiles]"
}
h2 "Version 0.0.6 (released 14 October 1998)"
ul {
	li "new command [code Juf::String::replace]"
	li "[code juf_shell_run] rewritten and renamed to [code Juf::Shell::run]"
	li "new commands [code Juf::RPM::list] and [code Juf::RPM::exists]"
	li "new command [code Juf::Error::finish]"
	li "new script [code rpmlist]"
	li "[code Juf::Template::run] don't uses empty strings as macro
	replacements anymore" 
}
h3 "Migration to Namespaces/Packages"
ul {
	li "[code juf_split] replaced by [code Juf::String::split]"
	li "[code juf_branch] replaced by [code Juf::Flow::branch]"
}
h3 "Building/Installation"
ul {
	li "[code -I\$\{TCL_PREFIX\}/include] added to compiler flags"
	li "set the warning flags depending on whether or not we are using gcc"
	li "new Makefile target [code drop-dist]"
}

h2 "Version 0.0.5 (released 11 September 1998)"
text "Fixed Makefile for bash 2.x."

h3 "Packages"
ul {
	li "new package Getopt (derived from juf::getopt)"
	li "new package JufConf (derived from juf::conf)"
	li "namespaces introduced to package Template"
}
h4 "Error"
ul {
	li "[code tclmsg] kills script if insufficient information
	found."
	li "new function [code summary]"
}
h4 "File"
ul {
	li "new package (derived from juf::file)"
	li "juf_file_mkdirs removed (functionality provided by vanilla Tcl)."
	li "new function [code Juf::File::trustopen]"
}

h2 "Version 0.0.4 (released 2 September 1998)"
h3 "Packages"
dl {
	dt "Code"
	ddwdl "" {
		dt [code juf_safe_eval]
		dd "new option -exit"
	}
	dt "Jufbase, LOL"
	dd "new packages"
	dt Sequence
	dd "namespace populated"
	dt String
	dd "[code juf_compose] replaced by [code Juf::String::compose]"
}
h3 "Libraries"
ul {
	li "Shared library for RPM access."
}
h3 "Scripts"
dl {
	dt [code jufdist]
	dd "Checks for manually inserted [code auto_index] entries."
}
h3 "Makefile"
text "Targets [code tcl], [code install-tcl] and [code uninstall-tcl]
depends upon [code index], [code install-index] and [code uninstall-index],
respectively."
h2 "Version 0.0.3 (released 8 August 1998)"
h3 "Tcl"
ul {
	li "New package [code Libtool] with functions applicable on Tcl shared
	libraries."
}
h3 "Libraries"
ul {
	li "Shared library for Postgres access."
}
h3 "Installation"
ul {
	li "During installation a symlink to the directory with the library
	scripts is created."
	li "The filename of the Tcl interpreter is quoted to avoid problems with
	blanks in file names."
	li "Document source files are installed too."
	li "Target [code install-html] fixed. Make directories first."
}
h2 "Version 0.0.2 (released 2 July 1998)"
h3 "Bug fixes"
ul {
	li "Typo fixed in [code bootstrap.tcl] which makes a successful initial
	run of [code make] impossible."
}
h2 "Version 0.0.1 (released 2 July 1998)"
h3 "Tcl modules"
h4 "array.tcl"
ul {
	li "Forms package Array and namespace Juf::Array"
	li "New function [code sort]"
	li "Function [code values] (formerly [code juf_array_values]) accepts
	now an arbritrary number of arraysas arguments."
	li "Function [code juf_array_map] removed."
}
h4 "error.tcl"
ul {
	li "Forms package Error and namespace Juf::Error"
	li "Bug fixed in function [code juf_fault] for type [code badoption]."
}
h4 "Code Processing"
text "New module with functions [code juf_safe_eval] and
[code juf_safe_source]."
h4 "Debugging"
text "Module removed."
h4 "Lists"
ul {
	li "New function [code juf_seqassign]."
	li "Additional parameter [var COUNT] for functions [code juf_seqshift] and
	[code juf_seqpop]."
}
h4 "Option Processing"
text "New module [code getopt]."
h4 "Miscellaneous"
ul {
	li "[code juf_vd_option] removed. Use [code juf_fault] instead."
	li "[code juf_f2arr] removed."
}
h3 "\[incr Tcl\] Modules"
h4 "Configuration"
ul {
	li "[code Conf::parsefile] accepts multi-line statements."
}
h3 "Scripts"
ul {
	li "New script [code jufdist]."
}
