# This is a -*- Tcl -*- script and provides basic information about
# `Jultaf'.
#
# readme.tcl --- SGML script file
#
# Copyright (C) 1998, 1999 Stefan Hornburg
#
# Author: Stefan Hornburg <racke@linuxia.de>
# Maintainer: Stefan Hornburg <racke@linuxia.de>
# Version: 0.0.9
#
# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
#
# This file is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this file; see the file COPYING.  If not, write to the Free
# Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

include settings.tcl

manual "Jultaf --- Jumble Library for Tcl and Friends"
author "Stefan Hornburg" -email racke@linuxia.de

text "The home page for this package is:
[htmlurl http://www.linuxia.de/jultaf/]"

h2 "Introduction"
include intro.tcl

h2 "Version"
text "The current version of Jultaf is $version.
It is not tested by anyone but me and documentation is not as good as
required for a decent package. However, it works for me."

h2 "System Requirements"
include requires.tcl

h2 "Installation"
text "Run [code ./configure], [code make] and [code make install] in the
source directory. By default Tcl scripts are installed in the directory 
[code /usr/local/share/jultaf], the GNU Info file as
[code /usr/local/info/jultaf.info] and HTML documentation in the directory
[code /usr/local/doc/jultaf]."
p
text "Support for the shared libraries can be enabled with the
[code --with-gdbm], [code --with-prof], [code --with-pq] and
[code --with-rpm] options of the
configure script. The default installation location for the shared libraries
is [code /usr/local/lib]." 

h2 "License"
include license.tcl

h2 "Comments & Bug Reports"
text "Feel free to send any comment or bug report to
[email racke@linuxia.de]. 
Jultaf is likely to improved depending on users feedback."

include newsdigest.tcl